import service from '@/utils/request'
/** 员工基本资料管理 */
//1.获取部门列表
export const getDepartment = (data) => {
    return service({
        url: '/mes_server/Staff/getDepartment',
        method: 'get',
        data
    })
}
//2.获取员工信息列表
export const getStaffList = (params) => {
    return service({
        url: '/mes_server/Staff/getStaffList',
        method: 'get',
        params
    })
}

/** 产品管理 */
//1.获取客户信息
export const getCustom = (data) => {
    return service({
        url: '/mes_server/Custom/getCustom',
        method: 'get',
        data
    })
}
//2.获取产品资料列表
export const getProduct = (params) => {
    return service({
        url: '/mes_server/Product/getProduct',
        method: 'get',
        params
    })
}
//3.获取单个产品基础数据
export const getProductData = (params) => {
    return service({
        url: '/mes_server/Product/getProductData',
        method: 'get',
        params
    })
}

/** 生产管理 工单资料管理*/
// 1.工单资料菜单列表
export const DataList = (data) => {
    return service({
        url: '/mes_server/work_order/DataList',
        method: 'get',
        data
    })
}
// 工单资料
export const WorkList = (params) => {
    return service({
        url: '/mes_server/work_order/WorkList',
        method: 'get',
        params
    })
}
// 工艺资料
export const Craft = (params) => {
    return service({
        url: '/mes_server/work_order/Craft',
        method: 'get',
        params
    })
}
// 印件资料
export const Printed = (params) => {
    return service({
        url: '/mes_server/work_order/Printed',
        method: 'get',
        params
    })
}
// BOM资料
export const Bom = (params) => {
    return service({
        url: '/mes_server/work_order/Bom',
        method: 'get',
        params
    })
}

/**工单生产排单(排产管理)*/
//左侧车间机台菜单
export const workbench = (data) => {
    return service({
        url: '/mes_server/manufacture/workbench',
        method: 'get',
        data
    })
}
//计划中工单
export const Project = (data) => {
    return service({
        url: '/mes_server/manufacture/Project',
        method: 'get',
        data
    })
}
//计划中工单->工艺资料
export const projectCraft = (data) => {
    return service({
        url: '/mes_server/manufacture/projectCraft',
        method: 'get',
        data
    })
}
//计划中工单->印件资料
export const projectPrint = (data) => {
    return service({
        url: '/mes_server/manufacture/projectPrint',
        method: 'get',
        data
    })
}
//生产中工单工序接口
export const scheduleProcess = (data) => {
    return service({
        url: '/mes_server/manufacture/scheduleProcess',
        method: 'get',
        data
    })
}

/** 7.设备运行跟踪*/
//左侧菜单
export const getTab = (params) => {
    return service({
        url: '/mes_server/facility/getTab',
        method: 'get',
        params
    })
}

//当日上报产量
export const chanLiang = (params) => {
    return service({
        url: '/mes_server/facility/chanLiang',
        method: 'get',
        params
    })
}